
#ifndef __SOUND_EFFECT_H__
#define __SOUND_EFFECT_H__

#include "../ada_if/ada_if.h"

//関数プロトタイプ
extern void delay(int offset, int data_handling_size);
extern void reverb(int offset, int data_handling_size);
extern void distortion(int offset, int data_handling_size);
extern void wah(int offset, int data_handling_size);
extern void tremolo(int offset, int data_handling_size);
extern void vibrart(int offset, int data_handling_size);
extern void chorus(int offset, int data_handling_size);
extern void flanger(int offset, int data_handling_size);
extern void radio_voice(int offset, int data_handling_size);

#endif
